Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

libraryId
string
required

The ID of the library

viewId
string
required

The ID of the view

Query Parameters

searchQuery
string

The text searched to filter documents

searchInAttachments
boolean
default:true

Whether to search the text in the attachments too (true by default)

securityCode
string

The security code

domain
string

The G Suite domain

Body

application/json
filters
object[]
kind
string

Response

200 - application/json

A ApiViewSearchScope response

classId
string
filter
object
kind
string
libraryId
string
publishState
enum<string>
Available options:
PUBLISHED,
DRAFT_ONLY,
BOTH
queryScope
enum<string>
Available options:
METADATA_ONLY,
ATTACHMENT_ONLY,
ALL